# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header $

inherit cvs
ECVS_BRANCH=""
ECVS_SERVER="cvs.sourceforge.jp:/cvsroot/kazehakase"
ECVS_USER="anonymous"
ECVS_MODULE="kazehakase"


DESCRIPTION="A browser that use Mozilla, dillo embed, w3m and etc. to render HTML."
HOMEPAGE="http://poincare.ikezoe.net/kazehakase/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ~ppc ~sparc alpha"
IUSE=""

DEPEND="${DEPEND}
	!kazehakase
	!kazehakase-cvs-test-lirs
	sys-devel/automake
	sys-devel/libtool
	net-www/mozilla
	x11-libs/pango
	>=x11-libs/gtk+-2*
	dev-util/pkgconfig"

S="${WORKDIR}/${ECVS_MODULE}"

pkg_setup(){
	if grep -v gtk2 /var/db/pkg/net-www/mozilla-[[:digit:]]*/USE > /dev/null 2>&1
	then
		echo
		eerror
		eerror "This needs mozilla used gtk2."
		eerror "To build mozilla use gtk2, please type following command:"
		eerror
		eerror "    # USE=\"gtk2\" emerge mozilla"
		eerror
		die
	fi
}

src_compile(){
	export WANT_AUTOCONF_2_5=1

	./autogen.sh || die
	econf || die
	emake || die
}

src_install(){
	emake DESTDIR="${D}" install || die
	dodoc ABOUT-NLS AUTHORS COPYING* ChangeLog NEWS README* TODO.ja
}
